Package org.zkoss.bind.impl

## Class CommandBindingImpl

- java.lang.Object
- - org.zkoss.bind.impl.BindingImpl
  - - org.zkoss.bind.impl.CommandBindingImpl

- All Implemented Interfaces:
    `java.io.Serializable`, `Binding`, `CommandBinding`

      public class CommandBindingImpl
      extends BindingImpl
      implements CommandBinding

  Implementation of CommandBinding.
  Since:
    6.0.0
  Author:
    henrichen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommandBindingImpl​(Binder binder, Component comp, java.lang.String evtnm, java.lang.String cmdScript, java.util.Map<java.lang.String,​java.lang.Object> args)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(BindContext ctx)` | Call the command associated with this binding.
    `ExpressionX` | `getCommand()` |
    `java.lang.String` | `getCommandString()` | Returns the command expression in string.
    `java.lang.String` | `getEventName()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.zkoss.bind.impl.BindingImpl

      `containsAttribute, getArgs, getAttribute, getBinder, getComponent, setAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.zkoss.bind.sys.Binding

      `getArgs, getBinder, getComponent`

- - ### Constructor Detail

    - #### CommandBindingImpl

          public CommandBindingImpl​(Binder binder,
                                    Component comp,
                                    java.lang.String evtnm,
                                    java.lang.String cmdScript,
                                    java.util.Map<java.lang.String,​java.lang.Object> args)

  - ### Method Detail

    - #### getEventName

          public java.lang.String getEventName()

    - #### getCommand

          public ExpressionX getCommand()

    - #### getCommandString

          public java.lang.String getCommandString()

      Description copied from interface: `CommandBinding`
      Returns the command expression in string.
      Specified by:
        `getCommandString` in interface `CommandBinding`
      Returns:
        the command expression in string.

    - #### execute

          public void execute​(BindContext ctx)

      Description copied from interface: `CommandBinding`
      Call the command associated with this binding.
      Specified by:
        `execute` in interface `CommandBinding`
      Parameters:
        `ctx` - the binding runtime context

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`